LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Variables
PlaceholderType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::text
| Text specific interfaces.

## Constant Groups
constants | com::sun::star::text::PlaceholderType
| These constants define how the place-holder text fields act in a document.

## Variables
const short | TEXT = 0
| The field represents a piece of text. More...
const short | TABLE = 1
| The field initiates the insertion of a text table. More...
const short | TEXTFRAME = 2
| The field initiates the insertion of a text frame. More...
const short | GRAPHIC = 3
| The field initiates the insertion of a graphic object. More...
const short | OBJECT = 4
| The field initiates the insertion of an embedded object. More...